#include "tooltip.h"
#include "calendarentityitem.h"

CalendarGraphicsScene::CalendarGraphicsScene(QObject *parent /*= NULL*/)
: QGraphicsScene(parent)
{
}

CalendarGraphicsScene::~CalendarGraphicsScene()
{

}

tooltip::tooltip(QWidget *parent, Qt::WFlags flags)
	: QMainWindow(parent, flags)
{
	ui.setupUi(this);

}

tooltip::~tooltip()
{

}

void tooltip::Initialize()
{
	QGraphicsScene *scene = new QGraphicsScene();
	CalendarEntityItem *item = new CalendarEntityItem("Title", "white", "Location", QPixmap(":/tooltip/Resources/AdrLarge16.png"), "Owner", "Resouruce", "Contact", "Projects", "Description", QHash<int, qreal>(), QHash<int, qreal>(), 0, 1, false, ui.graphicsView);
	ui.graphicsView->setScene(scene);
	scene->addItem(item);
}
